%define modname Sys-Virt

Name:           perl-%{modname}
Version:        0.2.0
Release:        4%{?dist}
Summary:        Perl bindings for the libvirt library
License:        GPLv2+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/%{modname}/
Source0:        http://www.cpan.org/authors/id/D/DA/DANBERR/%{modname}-%{version}.tar.gz
Patch1:         %{modname}-%{version}-cleanup-leaks.patch
Patch2:         %{modname}-%{version}-remove-imports.patch
Patch3:         %{modname}-%{version}-export-error-consts.patch
Patch4:         %{modname}-%{version}-undefined-string.patch
Patch5:         %{modname}-%{version}-default-values.patch
Patch6:         %{modname}-%{version}-undefined-objects.patch
Patch7:         %{modname}-%{version}-uuid-buflen.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  perl(ExtUtils::MakeMaker)
# Not present in RHEL-5, and only needed for test suite so disable
#BuildRequires:  perl(Test::Pod)
#BuildRequires:  perl(Test::Pod::Coverage)
#BuildRequires:  perl(XML::XPath)
BuildRequires:  libvirt-devel >= 0.6.1
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
ExclusiveArch: i386 x86_64 ia64

%description
The Sys::Virt module provides a Perl XS binding to the libvirt virtual
machine management APIs. This allows machines running within arbitrary
virtualization containers to be managed with a consistent API.

%prep
%setup -q -n %{modname}-%{version}
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1

# Build script mistakenly needs the module already installed to
# regenerate a specfile we don't want, so remove all trace of it
sed -i -e '/Sys-Virt\.spec/d' Makefile.PL
sed -i -e '/\.spec\.PL$/d' MANIFEST
rm -f *.spec.PL

# Disable this test since its needs XML::XPath
echo 'print "1..1\nok 1\n"' > t/100-connect.t

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -type f -name '*.bs' -size 0 -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS CHANGES LICENSE README examples/
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Sys*
%{_mandir}/man3/*

%changelog
* Wed Sep 16 2009 Anatoly Metetes <anatolym@startcom.org>
- Rebuild for StartCom Linux 5.0.x

* Mon Jul 13 2009 Daniel P. Berrange <berrange@redhat.com> - 0.2.0-4.el5
- Fix off-by-1 in UUID buffers (rhbz #504774)

* Wed Apr 22 2009 Daniel P. Berrange <berrange@redhat.com> - 0.2.0-3.el5
- Set default param values and fixed undefined value usage

* Wed Apr 15 2009 Daniel P. Berrange <berrange@redhat.com> - 0.2.0-2.el5
- Restrict build to i386, x86_64, ia64 to match libvirt

* Wed Apr 15 2009 Daniel P. Berrange <berrange@redhat.com> - 0.2.0-1.el5
- Initial package for RHEL-5, derived from Fedora package (rhbz #495755)
